Skip to content

Get a list of random projects

GET
/projects_random

Parameters

Query Parameters

count
required
integer
<= 100
70

The number of random projects to return

Responses

200

Expected response to a valid request

Array<object>
object
id
required

The ID of the project, encoded as a base62 string

string
AABBCCDD
team
required

The ID of the team that has ownership of this project

string
MMNNOOPP
title
required

The title or name of the project

string
description
required

A short sentence summarizing the project, no more than a sentence or two.

string
body
required

A long form description of the project

string
A long body describing my project in detail
status
required

The status of the project

string
Allowed values: approved archived rejected draft unlisted processing withheld scheduled private unknown
approved
project_type
required

The project type of the project

string
Allowed values: mod modpack resourcepack shader
mod
categories
required

A list of the featured categories that the project has.

Array<string>
[
"technology",
"adventure",
"fabric"
]
additional_categories
required

A list of additional categories that the project also has. These are supplementary to the featured categories, and does not include them again.

Array<string>
[
"technology",
"adventure",
"fabric"
]
environment
required

All the environments that versions of this project support. Not in any particular order, we recommend using the environment information on a version instead. For an explanation of each environment, see the blog post here: https://modrinth.com/news/article/new-environments/#new-system

Array<string>
Allowed values: client_and_server client_only client_only_server_optional singleplayer_only server_only server_only_client_optional dedicated_server_only client_or_server client_or_server_prefers_both unknown
[
"client_and_server"
]
game_versions
required

A list of all of the game versions supported by the project

Array<string>
[
"1.19",
"1.19.1",
"1.19.2",
"1.19.3"
]
loaders
required

A list of all of the loaders supported by the project. These vary based on project type.

Array<string>
[
"neoforge",
"fabric"
]
versions
required

A list of the version IDs of the project

Array<string>
[
"IIJJKKLL",
"QQRRSSTT"
]
license
required

The license of the project

object
id

The SPDX license ID of a project

string
LGPL-3.0-or-later
name

The long name of a license

string
GNU Lesser General Public License v3 or later
url

The URL to this license

string
nullable
published
required

The date the project was created

string format: ISO-8601
updated
required

The date the latest version of the project was created

string format: ISO-8601
downloads
required

The total number of downloads of the project

integer
followers
required

The total number of users following the project

integer
gallery
required

A list of images that have been uploaded to the project’s gallery

Array<object>
object
url
required

The URL of the gallery image

string
https://cdn.modrinth.com/data/AABBCCDD/images/009b7d8d6e8bf04968a29421117c59b3efe2351a.png
featured
required

Whether the image is featured in the gallery

boolean
true
title

The title of the gallery image

string
nullable
My awesome screenshot!
description

The description of the gallery image

string
nullable
This awesome screenshot shows all of the blocks in my mod!
created
required

The date and time the gallery image was created

string format: ISO-8601
ordering

The order of the gallery image. Gallery images are sorted by this field and then alphabetically by title.

integer
0
thread_id
required

The ID of the moderation thread associated with this project

string
TTUUVVWW
monetization_status
required
string
Allowed values: monetized demonetized force-demonetized
slug

The slug of a project, used for vanity URLs. Regex: ^[\w!@$()`.+,"\-']{3,64}$

string
nullable
my_project
organization

The ID of the organization that owns this project

string
nullable
AABBCCDD
requested_status

The requested status when submitting for review or scheduling the project for release. Approved status refers to “Public” visibility.

string
nullable
Allowed values: approved archived unlisted private draft
approved

The date the project was first published

string format: ISO-8601
nullable
queued

The date the project’s status was submitted to moderators for review

string format: ISO-8601
nullable
icon_url

The URL of the project’s icon

string
nullable
https://cdn.modrinth.com/data/AABBCCDD/b46513nd83hb4792a9a0e1fn28fgi6090c1842639.png
raw_icon_url

The URL of the project’s icon without CDN transforms applied

string
nullable
https://cdn.modrinth.com/data/AABBCCDD/b46513nd83hb4792a9a0e1fn28fgi6090c1842639-raw.png
color

The RGB color of the project, automatically generated from the project icon

integer
nullable
8703084
issues_url

An optional link to where to submit bugs or issues with the project

string
nullable
https://github.com/modrinth/code/issues
source_url

An optional link to the source code of the project

string
nullable
https://github.com/modrinth/code
wiki_url

An optional link to the project’s wiki page or other relevant information

string
nullable
https://github.com/modrinth/code/wiki
discord_url

An optional invite link to the project’s discord.

string
nullable
https://discord.gg/modrinth
donation_urls

A list of donation links for the project

Array<object>
nullable
object
id

The ID of the donation platform

string
patreon
platform

The donation platform this link is to

string
Patreon
url

The URL of the donation platform and user

string
https://www.patreon.com/my_user
client_side
required

Deprecated - use environment instead.

string
Allowed values: required optional unsupported unknown
required
server_side
required

Deprecated - use environment instead.

string
Allowed values: required optional unsupported unknown
optional
body_url

Deprecated - The link to the long description of the project. Always null, only kept for legacy compatibility.

string
nullable
moderator_message

Deprecated - A message that a moderator sent regarding the project

object
message

The message that a moderator has left for the project

string
body

The longer body of the message that a moderator has left for the project

string
nullable

400

Request was invalid, see given error

object
error
required

The name of the error

string
invalid_input
description
required

The contents of the error

string
Error while parsing multipart payload